Bug 65236 - [i965] Rendering artifacts in VDrift/GL2
[i965] Rendering artifacts in VDrift/GL2
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 10:30 UTC by Sergej Forat
Modified: 2013-07-16 07:13 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergej Forat 2013-06-01 10:30:38 UTC
I am testing a modified VDrift (no float fbos and no texture compression) on Fedora 18 x86-64 using mesa from git.

GL Renderer: Mesa DRI Mobile Intel® GM45 Express Chipset

Expected output (mesa git with r600): http://imageshack.us/a/img543/5606/r600.jpg

This is what I get (mesa git with i965): http://imageshack.us/a/img842/928/i965.jpg

Apitrace: http://sourceforge.net/projects/vdrift/files/vdrift/nightly%20builds/vdrift.mesa.trace.bz2/download
Comment 1 Kenneth Graunke 2013-06-22 13:20:15 UTC
This works for me on Ivybridge (using Mesa master from today).

The artifacts in the screenshot look kind of like the noise you'd get without the Gen4 SEND dependency workaround...or a 16-wide-texturing-on-8-wide-shaders bug.  But if this was Mesa master, those should be working.

I'll have to check when I'm home and have access to a GM45.  Unless someone else beats me to it, of course...
Comment 2 Kenneth Graunke 2013-07-14 16:26:38 UTC
Sorry for not getting to this, still...

However, Chris just fixed a bug with a screenshot that looks extremely similar:

Screenshot of that bug:
https://f.cloud.github.com/assets/5004176/793321/2a7e37f8-ebf7-11e2-8361-536741cb4417.png

Patch:
http://lists.freedesktop.org/archives/mesa-dev/2013-July/041749.html

The same code applies to original Gen4, so I bet it fixes this too.
Comment 3 Kenneth Graunke 2013-07-14 16:28:04 UTC
Scratch the comment about original Gen4, I forgot you *are* on GM45.  So it's almost certainly that same bug...
Comment 4 Chris Forbes 2013-07-15 07:00:32 UTC
This patch does indeed fix the broken rendering in that trace.

I'll reference this bug number when committing the fix.
Comment 5 Chris Forbes 2013-07-16 07:13:17 UTC
Fix is in master now.